<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">

    <head>
	   	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
		<link rel="stylesheet" href="general.css" />

    </head>


    <body>

    
        <h1>WormBase Converter</h1>


        <div id="introduction">
        
            <h2>Introduction</h2>
            <hr class="h2_underline"><hr class="h2_underline">

            <h3>Introduction</h3>
            <hr class="h3_underline">

            <p>
                The WormBase Converter allows the conversion of any Gene ID into any other Gene ID.
                <br><br>
                You can convert a <i>"WormBase ID"</i>, a <i>"Gene/Transcript/CDS Sequence Name"</i> or a <i>"Gene Name"</i> into a
                <i>"WormBase ID"</i>, a <i>"Gene Sequence Name"</i> or a <i>"Gene Name"</i>. Moreover, if you don't known the ID used
                in a gene list or if the list is composed by more than one ID, the tool detects automatically the IDs.
                <br><br>

                This tool also allows the conversion between the WormBase releases. You can convert a Gene ID in a specific release (e.g. 170) into
                another release (e.g. 190 for a conversion, or 160 for a reverse-conversion). If you are not sure about the release used in a gene
                list, the program detects it.
                <br><br>
                Finally, you can save all conversions and results in different files.
            </p>
        
            <h3>Download & Installation</h3>
            <hr class="h3_underline">
            <p>
                To install the program, just download the correct archive below and extract it on your computer.<br>

                Read the documentation of the folder "help" in the archive, or download it (link below), to know how to configure the program.
                <br><br>
                <i>The tool is easy to install and configure with wizards, and easy to use. A tutorial for a quick start is available.</i>
            </p>

        </div>


        <div id="download">

            <h2>WormBase converter Downloads</h2>

            <hr class="h2_underline"><hr class="h2_underline">
        
            <h3>LOCAL version</h3>
            <hr class="h3_underline">
            <p class="download_links">
                <a class="download" href="downloads/WBConverter__Local__Windows.zip">For WINDOWS</a> -
                <a class="download" href="downloads/WBConverter__Local__Sources.tar.gz">Sources</a>
            </p>

            <p class="download_info">
                The LOCAL version should be used on <u>independant computers</u>.<br />
                The program runs entirely on the same computer (conversion and updates).
            </p>

            <h3>CLIENT version</h3>
            <hr class="h3_underline">
            <p class="download_links">

                 <a class="download" href="downloads/WBConverter__Client__Windows.zip">For WINDOWS</a> -
                 <a class="download" href="downloads/WBConverter__Client__Sources.tar.gz">Sources</a>
            </p>            
            <p class="download_info">
                The CLIENT version should be installed on a <u>client computer</u> depending of a server.<br />
                The program runs on the computer, but updates are downloaded from the server.
            </p>

            <h3>CLIENT version (Administrator)</h3>
            <hr class="h3_underline">
            <p class="download_links">
                <a class="download" href="downloads/WBConverter__Client_Admin__Windows.zip">For WINDOWS</a> -
                 <a class="download" href="downloads/WBConverter__Client_Admin__Sources.tar.gz">Sources</a>
            </p>            
            <p class="download_info">

                The CLIENT version (Administrator) is the same version than the CLIENT version but <u>the user has a full access to the software</u>, and can change
                the server settings.<br />
                The program runs on the computer, but updates are downloaded from the server.
            </p>
            
            <h3>SERVER version</h3>
            <hr class="h3_underline">
            <p class="download_links">
               <!-- <a class="download" href="downloads/WBConverter__Server__Windows.zip">For WINDOWS - </a> -->

                <a class="download" href="downloads/WBConverter__Server__Sources.tar.gz">Sources</a>
            </p>
            <p class="download_info">
                The SERVER version must be installed <u>on a server</u>.<br />
                It centralizes the WormBase releases, and allows the update of the clients automatically.
            </p>

            <h3>Source Code</h3>

            <hr class="h3_underline">
            <p class="download_links">
                <a class="download" href="downloads/WBConverter__Source_code__Sources.zip">SOURCE CODE</a>
            </p>            
            <p class="download_info">
                The <u>Source Code</u> of the program.<br />
                You can use it with interpreters (Python & Perl), or to compile the program under other operating systems.
            </p>

        </div>
        
        
        <div id="other">

            <h2>Other</h2>
            <hr class="h2_underline"><hr class="h2_underline">
        
            <h3>WormBase releases package</h3>
            <hr class="h3_underline">
            <p>

                Download one (or more) of the following archive, and launch "Extract updates" in the WormBase Converter folder.<br>
                Read the documentation for more details.<br>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <a href="downloads/WormBase_releases_(143-215).tar.gz">WormBases releases : ws143 - ws215</a>
            </p>

            <h3>Documentation</h3>

            <hr class="h3_underline">
            <p>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="downloads/Documentation.pdf">Documentation</a><br>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="downloads/Tutorial - WB Converter.pdf">Tutorial for a quick start of the WormBase Converter</a><br>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="downloads/Tutorial - Correction updates.pdf">Tutorial to correct manually the errors update [advanced]</a>
            </p>

            <h3>Other</h3>

            <hr class="h3_underline">
            <p>
                Debian package of dependencies for Linux : <a href="downloads/Dependencies.deb">Dependencies.deb</a></p>
                 <!--<br><br>
                EASE Manager for Windows : <a href="downloads/EASEManager__Client__Windows.zip">Client</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                EASE Manager (sources) : <a href="downloads/EASEManager__Client__Sources.tar.gz">Client</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                         <a href="downloads/EASEManager__Server__Sources.tar.gz">Server</a><br><br>
                To install the EASE Manager, download and extract the archive in the WormBase Converter folder. Launch "EASE Manager Inst", and the
                program is ready to use.
            </p>-->

        </div>

    </body>

</html>
