#! usr/bin/python
# -*- coding: utf-8 -*-

####
##  Copyright © 2010 CIML
##
##  This file is part of WormBase Converter.
##
##  WormBase Converter is free software: you can redistribute it  
##  and/or modify it under the terms of the GNU General Public License  
##  as published by the Free Software Foundation, either version 3 of 
##  the License, or (at your option) any later version.
##
##  WormBase Converter is distributed in the hope that it will be 
##  useful, but WITHOUT ANY WARRANTY; without even the implied warranty 
##  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with WormBase Converter. If not, see <http://www.gnu.org/licenses/>.
####

import ConfigParser, sys
import update


class MyConfigParser (ConfigParser.ConfigParser):
    """Modification du module 'ConfigParser' pour permettre l'enregistrement en temps réel des modifications."""
    
    filename = ""
    
    def __init__ (self, filename):
        self.filename = filename
        ConfigParser.ConfigParser.__init__(self)
        ConfigParser.ConfigParser.read(self, self.filename)
    
    def set(self, section, option, value):
        """Enregistre une valeur dans une clé d'une section donnée.
           section / option / value : Section / Clé / Valeur souhaitée"""
    
        ConfigParser.ConfigParser.set(self, section, option, value)
        ConfigParser.ConfigParser.write(self, open(self.filename, 'w'))

    def setboolean(self, section, option, value):
        """Enregistre une valeur au format boolean dans une clé d'une section donnée.
           section / option / value : Section / Clé / Valeur souhaitée"""
    
        try :
            if (bool(value) == True) :
                self.set(section, option, 'True')
            else :
                self.set(section, option, 'False')
        except :
            self.set(section, option, 'False')





#################### SCRIPT ####################
#
#   actions : 
#       'UPDATE_WORMBASE' => Met à jour les versions de WormBase
#       'PARAMETERS_WORMBASE' => Modifie les paramètres de mise à jour  [+ 1 arg : parameters]
#


action = sys.argv[1]

CFG = MyConfigParser('config.ini')
LANG = MyConfigParser(CFG.get('WORMBASE', 'language'))


    # Lancement de la MAJ de WormBase
if (action == 'UPDATE_WORMBASE') :

    up = update.Update_WormBase(CFG.filename, LANG.filename)

    if (CFG.getboolean('UPDATE', 'save_update_log') == True) :
        log_file = open('wormbase/temp/UPDATE_LOG.txt', 'ab', 0)
        
        recov = sys.stdout
        sys.stdout = log_file
        
        up.update_WormBase()
        
        sys.stdout = recov
        log_file.close()
    else :
        up.update_WormBase()

    
    # Modification des paramètres de MAJ
elif (action == 'PARAMETERS_WORMBASE') :
    up = update.Update_WormBase(CFG.filename, LANG.filename)
    up.save_parameters(eval(sys.argv[2]), 'SERVER_Admin')

